<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session


  $conexion=conecta_default();
  $ok=0;
  $idci = $sesion->id;
  $eltotal = $_POST['totaldep'];
  if(isset($_POST['id_d'])){
    $id=$_POST['id_d'];
    //echo $id;
    
   $sel = "SELECT estatus_idestatus FROM inversionista WHERE id_inver = '$id'";
	$cons = mysqli_query($conexion, $sel) or die('Err0: '. mysqli_error($conexion));
	$est = mysqli_fetch_object($cons); 
    
	if($est->estatus_idestatus == 1)
	$ok = 0;
	else 
	{
    $q2= "INSERT INTO puntos (idpuntos, inversionista_id_inver, no_pagos, puntosact) VALUES ('','$id','0','0')";
	$cons = mysqli_query($conexion, $q2) or die('Err0: '. mysqli_error($conexion)); 
    
	$sel = "SELECT * FROM tipostr WHERE descripcion = 'INSCRIPCION'";
	$cons = mysqli_query($conexion, $sel) or die('Err0: '. mysqli_error($conexion));
	$idtr = mysqli_fetch_object($cons);
	
	$fdeins = date('Y-m-d');
	$q3 = "INSERT INTO transacciones (idtransacciones, inversionista_id_inver, tipostr_idtipostr, fechat, horat, usuarios_ci_idusuarios_ci, observaciones) VALUES ('','$id','$idtr->idtipostr','$fdeins',curtime(),'$idci','$eltotal')";
	$cons = mysqli_query($conexion, $q3) or die('Err0: '. mysqli_error($conexion));
	
	/*$busfi = "SELECT * FROM depositos WHERE no_ficha = '$nof'";
   $cons = mysqli_query($conexion, $busfi) or die('Err0: '. mysqli_error($conexion));
   
   $nof = $_POST['noref'];
   $eltotal = $_POST['totaldep'];
   
   $sel = "SELECT * FROM tipostr WHERE descripcion = 'MENSUALIDAD'";
   $cons = mysqli_query($conexion, $sel) or die('Err0: '. mysqli_error($conexion));
   $idtr = mysqli_fetch_object($cons);
   
	
   
     $q3 = "INSERT INTO transacciones (idtransacciones, inversionista_id_inver, tipostr_idtipostr, fechat, observaciones) VALUES ('','$id','$idtr->idtipostr','$fdeins','$totaldep')";
     $cons = mysqli_query($conexion, $q3) or die('Err0: '. mysqli_error($conexion));
   
     $idtran = mysqli_insert_id($conexion);
      
     $q4 = "INSERT INTO depositos (iddeposito, centros_idcd, transacciones_idtransacciones, cantidad, no_ficha, banco_idbanco) VALUES ('','1','$idtran','$totaldep','$nof','4')";
     $cons = mysqli_query($conexion, $q4) or die('Err0: '. mysqli_error($conexion));

    $iddepo = mysqli_insert_id($conexion);
    $ahorro = 152*0.3;
   */  
   // $q4 = "INSERT INTO ahorros (idahorros, inversionista_id_inver, depositos_iddeposito, ptos_ahorrados) VALUES //('','$id','$iddepo','$ahorro')";
  //  $cons = mysqli_query($conexion, $q4) or die('Err0: '. mysqli_error($conexion)); 
	  $fdeins = date('Y-m-d');
	$q4 = "INSERT INTO calificados (idcalificados, inversionista_id_inver, fecha) VALUES ('','$id','$fdeins')";
	$cons = mysqli_query($conexion, $q4) or die('Err0: '. mysqli_error($conexion));
	
	//$query1="update inversionista set califico='SI' where id_inver='$id';";
    //$result1=mysqli_query($conexion, $query1);
	
    $query1="update inversionista set estatus_idestatus='1' where id_inver='$id';";
    $result1=mysqli_query($conexion, $query1,$conexion);
    if(mysqli_affected_rows($conexion)){
      $ok=1;
    
     }  
	}
   }else{//if isset post
    @header("Location:  ./listaaprobusrs.php");//header debe estar antes del cod. html
    echo "<tr><td><p>No se recibio id.</td></tr></p>";    
    exit;
  }
  echo "<html>
        <head></head>
        <body>
        <table>";
   if($ok){//si se realizo la consulta     
     @header("Location:  ./aprobado.php");
   }else{ echo "<tr><td><p>El usuario ya fue aprobado o no existe.</td></tr></p>";}
   echo "<tr><td><a href=\"listaaprobusrs.php\"><center><img src=\"../files/regresar.png\" border=\"0\" width=\"136\" height=\"48\" alt=\"\"></center></td></tr>";
   echo "</table>
          </body>
          </html>              
        ";  
?>
